gsrc-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gsrc-commit] /srv/bzr/gsrc/trunk r1371: improve new_project script


From: Brandon Invergo
Subject: [Gsrc-commit] /srv/bzr/gsrc/trunk r1371: improve new_project script
Date: Sun, 09 Dec 2012 22:54:34 +0100
User-agent: Bazaar (2.5.0)

------------------------------------------------------------
revno: 1371
committer: Brandon Invergo <address@hidden>
branch nick: trunk
timestamp: Sun 2012-12-09 22:54:34 +0100
message:
  improve new_project script
modified:
  util/new_project.sh
  util/templates/Makefile.m4
=== modified file 'util/new_project.sh'
--- a/util/new_project.sh       2012-12-04 21:14:19 +0000
+++ b/util/new_project.sh       2012-12-09 21:54:34 +0000
@@ -1,5 +1,20 @@
 #!/bin/bash
 
-mkdir ../gnu/${1}
-m4 -D__NAME=${1} -D__VERSION=${2} templates/Makefile.m4 > ../gnu/${1}/Makefile
-m4 -D__NAME=${1} templates/config.mk.m4 > ../gnu/${1}/config.mk
+if [ $# -ne 3 ]; then
+    echo "Usage: ./new_project.sh [subdir] [name] [version]"
+    echo "Example: ./new_project.sh gnu emacs 24.2"
+    echo "         ./new_project.sh gnome nautilus 3.6.1"
+    exit 1
+fi
+case $1 in
+    gnu) SITE="\$(MASTER_GNU)";;
+    gnome) SITE="\$(MASTER_GNOME)";;
+    gnustep) SITE="\$(MASTER_GNUSTEP)";;
+    *) SITE="";;
+esac
+
+mkdir -p ../${1}/${2}
+m4 -D__NAME=${2} -D__VERSION=${3} -D__SITE=${SITE} \
+    templates/Makefile.m4 > ../${1}/${2}/Makefile
+m4 -D__NAME=${2} templates/config.mk.m4 > ../${1}/${2}/config.mk
+exit 0

=== modified file 'util/templates/Makefile.m4'
--- a/util/templates/Makefile.m4        2012-12-04 21:14:19 +0000
+++ b/util/templates/Makefile.m4        2012-12-09 21:54:34 +0000
@@ -5,7 +5,7 @@
 
 ######################################################################
 
-MASTER_SITES = $(MASTER_GNU)
+MASTER_SITES = __SITE
 MASTER_SUBDIR = $(GARNAME)/
 DISTFILES = $(DISTNAME).tar.gz
 SIGFILES = $(DISTNAME).tar.gz.sig


reply via email to

[Prev in Thread] Current Thread [Next in Thread]